package seal_request

import (
	"git.sxidc.com/student-physical-examination/contract_lock_sdk/http"
)

type SealCreateCompanyRequest struct {
	// 【法人单位名称】法人单位名称(companyName，companyId，registerNo至少填写一个)
	CompanyName string `json:"companyName"`
	// 【法人单位id】法人单位id(companyName，companyId，registerNo至少填写一个)
	CompanyId *int64 `json:"companyId,omitempty"`
	// 【统一社会信用代码】统一社会信用代码(companyName，companyId，registerNo至少填写一个)
	RegisterNo string `json:"registerNo,omitempty"`
	// 【印章名称】印章名称，不传默认为公司名称
	Name string `json:"name"`
	// 【印章类型】印章类型：参考电子签约控制台“印章类型管理”中启用的类型
	SealCategoryName string `json:"sealCategoryName,omitempty"`
	// 【印章规格】印章规格（可传值：CIRCULAR_58、CIRCULAR_46、OVAL_45_30、SQUARE_25_25、SQUARE_20_20、RECTANGLE_50_30、RECTANGLE_40_16）
	Spec string `json:"spec"`
	// 【Base64格式的印章图片】Base64格式的印章图片
	Image string `json:"image"`
}

func (obj SealCreateCompanyRequest) GetUrl() string {
	return "/seal/create/company"
}

func (obj SealCreateCompanyRequest) GetHttpParameter() *http.HttpParameter {
	parameter := http.NewPostHttpParameter()
	parameter.AddParam("companyName", obj.CompanyName)
	parameter.AddParam("companyId", obj.CompanyId)
	parameter.AddParam("registerNo", obj.RegisterNo)
	parameter.AddParam("name", obj.Name)
	parameter.AddParam("sealCategoryName", obj.SealCategoryName)
	parameter.AddParam("spec", obj.Spec)
	parameter.AddParam("image", obj.Image)
	return parameter
}
